#!/usr/bin/env ruby

require 'rbconfig'
require 'ftools'

dest = ::Config::CONFIG["sitelibdir"]
src = File.join(File.dirname(__FILE__), "railsdemo", "vendor")

Dir.foreach(src) { |file|
	srcfile = File.join(src, file)
	if File.file?(srcfile)
		File.safe_unlink(File.join(dest, file), true)
	end
}

srcfonts = File.join(src, "fonts")
destfonts = File.join(dest, "fonts")

if FileTest.exist?(srcfonts)
	Dir.foreach(srcfonts) { |file|
		srcfile = File.join(srcfonts, file)
		if File.file?(srcfile)
			File.safe_unlink(File.join(destfonts, file), true)
		end
	}
	begin
		Dir.rmdir(File.join(destfonts))
	rescue
	end
end
